class CounterObject:
    def __init__(self, base_num=1) -> None:
        self.__counter = int(base_num)

    def describe(self) -> int:
        return self.__counter

    def increment(self, num=1) -> int:
        self.__counter += num
        return self.__counter

    def decrement(self, num=1) -> int:
        self.__counter -= num
        return self.__counter
